ChangeSet 1.1455.1.32, 2003/07/15 16:20:24-07:00, greg@kroah.com

[PATCH] USB: fix a nasty use-after-free bug in the usb-serial core.


 drivers/usb/serial/usb-serial.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Thu Jul 17 17:03:54 2003
+++ b/drivers/usb/serial/usb-serial.c	Thu Jul 17 17:03:54 2003
@@ -530,7 +530,9 @@
 	/* if disconnect beat us to the punch here, there's nothing to do */
 	if (tty && tty->driver_data) {
 		__serial_close(port, filp);
+		tty->driver_data = NULL;
 	}
+	port->tty = NULL;
 }
 
 static int serial_write (struct tty_struct * tty, int from_user, const unsigned char *buf, int count)
